import setuptools

# 读取README.md作为长描述
with open("README.md", "r") as f:
    long_description = f.read()

# 读取依赖列表requirements.txt
# 忽略#开头或者版本号不明确指定的条目
with open("requirements.txt", "r") as f:
    requirements = [
        req.strip()
        for req in f.readlines()
        if not req.startswith("#") and req.__contains__("~=") 
    ]

setuptools.setup(
    name='csst_mci_sim',
    # Internal_Version = '0.7.02',
    version='2.0.0',
    author='CSST Team',
    author_email='zhaojunyan@shao.ac.cn',
    description='The CSST - mci - sim',  # short description
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://csst-tb.bao.ac.cn/',
    # project_urls={
    #     'Source': 'https://csst-tb.bao.ac.cn/code/csst-l1/ifs/csst_ifs_sim',
    # },
    packages=setuptools.find_packages(),
    license='MIT',
    classifiers=["Development Status :: 5 - Production/Stable",
                 "Intended Audience :: Science/Research",
                 "License :: OSI Approved :: MIT License",
                 "Operating System :: OS Independent",
                 "Programming Language :: Python :: 3.8",
                 "Topic :: Scientific/Engineering :: Physics",
                 "Topic :: Scientific/Engineering :: Astronomy"],
    package_dir={'csst_mci_sim': 'csst_mci_sim'},
    include_package_data=True,
    package_data={"": ["LICENSE", "README.md"],
                  "csst_mci_sim": ["mci_so/*", "mci_data/*","CTI/*", "support/*"]},
    # install_requires=['sphinx',
    #                   'numpy',
    #                   'scipy', 'matplotlib',
    #                   'astropy', 'healpy', 'ccdproc', 'deepCR', 'photutils'],
    python_requires='>=3.11',
    install_requires=requirements,
)
